Skip to main content
GET
/
v1
/
portfolios
/
{portfolio_id}
/
wallets
/
{wallet_id}
/
deposit_instructions
Get Wallet Deposit Instructions
curl --request GET \
  --url https://api.prime.coinbase.com/v1/portfolios/{portfolio_id}/wallets/{wallet_id}/deposit_instructions
{
  "crypto_instructions": {
    "id": "e84255eb-2e21-439e-a1d0-f5dd1e1292b9",
    "name": "Wallet 1",
    "type": "CRYPTO",
    "address": "ca13fdc4-e459-4fd9-868e-82291343b213",
    "account_identifier": "387879289",
    "account_identifier_name": "memo",
    "network": {
      "id": "<string>",
      "type": "<string>"
    }
  },
  "fiat_instructions": {
    "id": "<string>",
    "name": "<string>",
    "type": "CRYPTO",
    "account_number": "<string>",
    "routing_number": "<string>",
    "reference_code": "<string>"
  }
}

Documentation Index

Fetch the complete documentation index at: https://docs.cloud.coinbase.com/llms.txt

Use this file to discover all available pages before exploring further.

Use the Prime SDK or CLI to test this endpoint by following the quickstart guide and running with the following examples
WalletsService walletsService = PrimeServiceFactory.createWalletsService(client);

GetWalletDepositInstructionsRequest request = new GetWalletDepositInstructionsRequest.Builder()
    .portfolioId("PORTFOLIO_ID_HERE")
    .walletId("WALLET_ID_HERE")
    .depositType(DepositType.CRYPTO)
    .build();

GetWalletDepositInstructionsResponse response = walletsService.getWalletDepositInstructions(request);
For more information, please visit the Prime Java SDK.

Path Parameters

portfolio_id
string
required

The portfolio ID

wallet_id
string
required

The wallet ID

Query Parameters

deposit_type
enum<string>
required

The deposit type

  • UNKNOWN_WALLET_DEPOSIT_TYPE: nil value
  • CRYPTO: A cryptocurrency deposit
  • WIRE: A wire deposit
  • SEN: DEPRECATED. A Silvergate Exchange Network deposit
  • SWIFT: A SWIFT deposit
  • SEPA: A SEPA deposit (Single Euro Payments Area)
Available options:
CRYPTO,
WIRE,
SEN,
SWIFT,
SEPA
network.id
string

The name of the network

The network id: base, bitcoin, ethereum, solana etc

network.type
string

The network type

The network type: mainnet, testnet, etc

Response

200 - application/json

A successful response.

crypto_instructions
object
fiat_instructions
object